> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Get JWKS

GET https://api.prod.paradex.trade/v1/jwks.json

Returns the JSON Web Key Set used to validate JWT tokens issued by this service

Reference: https://docs.paradex.trade/api/prod/authentication/jwks

## Response

### 200

OK

- `keys` (list of responses.JwkKey, optional)

## Types

### responses.JwkKey

- `alg` (string, optional)
- `crv` (string, optional)
- `kid` (string, optional)
- `kty` (string, optional)
- `use` (string, optional)
- `x` (string, optional)
- `y` (string, optional)

## Examples

**Response**

```json
{
  "keys": [
    {
      "alg": "ES256",
      "crv": "P-256",
      "kid": "<thumbprint>",
      "kty": "EC",
      "use": "sig",
      "x": "<base64url>",
      "y": "<base64url>"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.prod.paradex.trade/v1/jwks.json"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.prod.paradex.trade/v1/jwks.json';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.prod.paradex.trade/v1/jwks.json"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prod.paradex.trade/v1/jwks.json")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prod.paradex.trade/v1/jwks.json")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prod.paradex.trade/v1/jwks.json');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prod.paradex.trade/v1/jwks.json");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/jwks.json")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```